Package org.kie.internal.task.api.model

## Enum TaskEvent.TaskEventType

- java.lang.Object
- - java.lang.Enum<TaskEvent.TaskEventType>
  - - org.kie.internal.task.api.model.TaskEvent.TaskEventType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskEvent.TaskEventType>`
  Enclosing interface:
    TaskEvent

      public static enum TaskEvent.TaskEventType
      extends java.lang.Enum<TaskEvent.TaskEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVATED` |
    `ADDED` |
    `CLAIMED` |
    `COMPLETED` |
    `CREATED` |
    `DELEGATED` |
    `EXITED` |
    `FAILED` |
    `FORWARDED` |
    `NOMINATED` |
    `RELEASED` |
    `RESUMED` |
    `SKIPPED` |
    `STARTED` |
    `STOPPED` |
    `SUSPENDED` |
    `UPDATED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskEvent.TaskEventType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskEvent.TaskEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final TaskEvent.TaskEventType ADDED

    - #### UPDATED

          public static final TaskEvent.TaskEventType UPDATED

    - #### STARTED

          public static final TaskEvent.TaskEventType STARTED

    - #### ACTIVATED

          public static final TaskEvent.TaskEventType ACTIVATED

    - #### COMPLETED

          public static final TaskEvent.TaskEventType COMPLETED

    - #### STOPPED

          public static final TaskEvent.TaskEventType STOPPED

    - #### EXITED

          public static final TaskEvent.TaskEventType EXITED

    - #### FAILED

          public static final TaskEvent.TaskEventType FAILED

    - #### CLAIMED

          public static final TaskEvent.TaskEventType CLAIMED

    - #### SKIPPED

          public static final TaskEvent.TaskEventType SKIPPED

    - #### SUSPENDED

          public static final TaskEvent.TaskEventType SUSPENDED

    - #### CREATED

          public static final TaskEvent.TaskEventType CREATED

    - #### FORWARDED

          public static final TaskEvent.TaskEventType FORWARDED

    - #### RELEASED

          public static final TaskEvent.TaskEventType RELEASED

    - #### RESUMED

          public static final TaskEvent.TaskEventType RESUMED

    - #### DELEGATED

          public static final TaskEvent.TaskEventType DELEGATED

    - #### NOMINATED

          public static final TaskEvent.TaskEventType NOMINATED

  - ### Method Detail

    - #### values

          public static TaskEvent.TaskEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskEvent.TaskEventType c : TaskEvent.TaskEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskEvent.TaskEventType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null